# do not edit -- automatically generated by arch changelog
# arch-tag: was-automatic-ChangeLog--lord@emf.net--2003/package-framework--devo--1.0
#

2003-04-11 GMT	Tom Lord <lord@emf.net>	patch-17

    Summary:
      head -<N> => head -n <N>
    Revision:
      package-framework--devo--1.0--patch-17

    Recent GNU coreutils stopped supporting -<N>.
    (From Patrick Mauritz.)
    
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0
     build-tools/scripts/configure-top


2003-03-15 GMT	Tom Lord <lord@emf.net>	patch-16

    Summary:
      merge with stig's branch
    Revision:
      package-framework--devo--1.0--patch-16

    
    Patches applied:
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-11
         properly detect undefined variable in install-docs.mk
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-10
         only install html-documentation if asked 
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-9
         added `install-datafiles.mk' + data-install-dir to rules.mk
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-8
         minor comment fixes
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-7
         clean up latex*mk and add install-doc.mk
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-6
         add `doc' target + fix/clean up the latex* .mk files
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-5
         added makefiles to build ps, pdf, html & txt files from LaTeX sources
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-4
         spell compatibility correctly
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-10
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-11
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-4
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-5
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-6
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-7
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-8
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-9
     build-tools/Makefiles/latex-ps.mk
     build-tools/Makefiles/latex.mk
     build-tools/Makefiles/latex-pdf.mk
     build-tools/Makefiles/latex-html.mk
     build-tools/Makefiles/latex-txt.mk
     build-tools/Makefiles/install-datafiles.mk
     build-tools/Makefiles/install-docs.mk

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0
     build-tools/Makefiles/rules.mk

    new patches:
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-4
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-5
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-6
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-7
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-8
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-9
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-10
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-11


2003-03-15 GMT	Tom Lord <lord@emf.net>	patch-15

    Summary:
      shell-scripts.mk bug fix 
    Revision:
      package-framework--devo--1.0--patch-15

    Patches applied:
    
      * stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-3
         added missing `$' in front of variable in makefile
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-3

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0
     build-tools/Makefiles/shell-scripts.mk

    new patches:
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-3


2003-03-15 GMT	Tom Lord <lord@emf.net>	patch-14

    Summary:
      faked stig spelling merge
    Revision:
      package-framework--devo--1.0--patch-14

    
    stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-2
    
    
    (I actually fixed this independently, but then saw stig's patch for it
    --- this is a merge with that patch though, really, it just adds the
    log message.)
    
    
    
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-2

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0

    new patches:
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-2


2003-03-15 GMT	Tom Lord <lord@emf.net>	patch-13

    Summary:
      joined stig's branch
    Revision:
      package-framework--devo--1.0--patch-13

    
    stig@brautaset.org--arwen-03/package-framework--devo--1.0--base-0
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/base-0

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0

    new patches:
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--base-0


2003-03-15 GMT	Tom Lord <lord@emf.net>	patch-12

    Summary:
      spelling fixes from stig
    Revision:
      package-framework--devo--1.0--patch-12

    
    stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-1
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log/patch-1

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0
     build-tools/scripts/configure-dirs

    new directories:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/stig@brautaset.org--arwen-03/patch-log

    new patches:
     stig@brautaset.org--arwen-03/package-framework--devo--1.0--patch-1


2003-03-15 GMT	Tom Lord <lord@emf.net>	patch-11

    Summary:
      [issue26] spell stig's name properly!
    Revision:
      package-framework--devo--1.0--patch-11

    Spell stig's name properly!
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0


2003-03-02 GMT	Tom Lord <lord@emf.net>	patch-10

    Summary:
      [issue50] spelling fixes
    Revision:
      package-framework--devo--1.0--patch-10

    
    "compatability" => "compatibility".
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0
     PLUGIN/compatible build-tools/scripts/configure-dirs
     build-tools/scripts/configure-top


2003-02-14 GMT	Tom Lord <lord@emf.net>	patch-9

    Summary:
      clean-generated-includes
    Revision:
      package-framework--devo--1.0--patch-9

    
    `make clean' needs to clean generated include files.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0
     build-tools/Makefiles/rules.mk


2003-02-04 GMT	Tom Lord <lord@emf.net>	patch-8

    Summary:
      removed a spurious directory
    Revision:
      package-framework--devo--1.0--patch-8

    
    
    Removed a spurious directory.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0

    removed directories:
     =build2


2003-02-04 GMT	Tom Lord <lord@emf.net>	patch-7

    Summary:
      tweaked auto-header-dependency tracking
    Revision:
      package-framework--devo--1.0--patch-7

    
    
    GCC complicates extracting header names from the line directives of
    `cc -E' output by including pseudo-filenames such as "<built-in>".
    
    Recent versions of GCC apparently translate those names to the local
    language.
    
    So, instead of a fixed list of strings to omit from dependency lists,
    `package-framework' now just excludes all names of the form `<.*>'.
    
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0
     build-tools/Makefiles/cpp-to-includes.sed


2003-01-27 GMT	Tom Lord <lord@emf.net>	patch-6

    Summary:
      cycled ChangeLogs
    Revision:
      package-framework--devo--1.0--patch-6

    Cycled ChangeLogs.
    

    new files:
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     ChangeLog.d/lord@emf.net--2002/ChangeLog.devo--1.0

    removed files:
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    modified files:
     ChangeLog.d/ChangeLog

    new directories:
     ChangeLog.d/lord@emf.net--2002


2003-01-27 GMT	Tom Lord <lord@emf.net>	patch-5

    Summary:
      library.mk tweakish cleanup
    Revision:
      package-framework--devo--1.0--patch-5

    
    In `library.mk', always (unconditionally) define the `clean' target
    and don't try to read non-existant `Objects' files from `otherobjs'
    directories.   
    
    The net effect is to eliminate some "No such file" error messages from
    `make clean' output and to make the `clean' target more robust.
    
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/library.mk

    new directories:
     =build2


2003-01-26 GMT	Tom Lord <lord@emf.net>	patch-4

    Summary:
      use `rm' properly in Makefiles
    Revision:
      package-framework--devo--1.0--patch-4

    
    Don't invoke `rm' for files not known to exist;  don't invoke `rm'
    with the `-f' flag; don't ignore the exit status of `rm'.
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/config-info.mk
     build-tools/Makefiles/install-includes.mk
     build-tools/Makefiles/install-library-objects.mk
     build-tools/Makefiles/install-library.mk
     build-tools/Makefiles/install-programs.mk
     build-tools/Makefiles/install-scm-cgi-scripts.mk
     build-tools/Makefiles/install-scm-scripts.mk
     build-tools/Makefiles/install-scm-subdirs.mk
     build-tools/Makefiles/install-scm.mk
     build-tools/Makefiles/install-shell-cgi-scripts.mk
     build-tools/Makefiles/install-shell-scripts.mk
     build-tools/Makefiles/install-shell-subcommands.mk
     build-tools/Makefiles/library-html.mk
     build-tools/Makefiles/library-objects.mk
     build-tools/Makefiles/library-pdml.mk
     build-tools/Makefiles/library-ps.mk
     build-tools/Makefiles/library-texi.mk
     build-tools/Makefiles/library.mk
     build-tools/Makefiles/pdml-index.mk
     build-tools/Makefiles/programs.mk
     build-tools/Makefiles/rules.mk
     build-tools/Makefiles/scm-library.mk
     build-tools/Makefiles/scm-scripts.mk
     build-tools/Makefiles/shell-scripts.mk
     build-tools/Makefiles/shell-subcommands.mk
     build-tools/Makefiles/unexec-programs.mk
     build-tools/Makefiles/unit-tests.mk links/Makefile.in


2003-01-26 GMT	Tom Lord <lord@emf.net>	patch-3

    Summary:
      fixed make-clean bugs
    Revision:
      package-framework--devo--1.0--patch-3

    Fixed make-clean bugs.
    

    removed files:
     =fix-library.sh

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/rules.mk
     build-tools/Makefiles/shell-scripts.mk
     build-tools/Makefiles/shell-subcommands.mk
     build-tools/Makefiles/unexec-programs.mk
     build-tools/Makefiles/unit-tests.mk


2003-01-20 GMT	Tom Lord <lord@regexps.com>	patch-2

    Summary:
      renamed bug-mail config parameter
    Revision:
      package-framework--devo--1.0--patch-2

    
    The bug-mail config parameter is now called
    package-framework-bug-mail.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/config-info/config-info.c


2003-01-20 GMT	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      install links scripts, parameterize their bug addresses
    Revision:
      package-framework--devo--1.0--patch-1

    
    The link scripts (`make/remove -links') are now installed.
    
    The bug-report email addresses they report are now a configuration
    parameter.

    new files:
     links/PLUGIN/.arch-ids/=dont-care links/Makefile.in
     links/PLUGIN/REQ links/PLUGIN/options

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     links/make-links.sh.in links/remove-links.sh.in

    renamed files:
     links/make-links
       ==> links/make-links.sh.in
     links/remove-links
       ==> links/remove-links.sh.in


    new directories:
     links/PLUGIN links/PLUGIN/.arch-ids


2003-01-16 GMT	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2002/package-framework--devo--1.0--patch-15
    Revision:
      package-framework--devo--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/package-framework--devo--1.0--base-0
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-1
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-2
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-3
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-3
     lord@regexps.com--2002/package-framework--devo--1.0--base-0
     lord@regexps.com--public-2001Q4/package-framework--devo--1.0--base-0
     lord@regexps.com--2002/package-framework--devo--1.0--patch-1
     lord@regexps.com--2002/package-framework--lord--1.0--base-0
     lord@regexps.com--2002/package-framework--lord--1.0--patch-1
     lord@regexps.com--2002/package-framework--lord--1.0--patch-2
     lord@regexps.com--2002/package-framework--devo--1.0--patch-2
     lord@regexps.com--2002/package-framework--lord--1.0--patch-3
     lord@regexps.com--2002/package-framework--lord--1.0--patch-4
     lord@regexps.com--2002/package-framework--lord--1.0--patch-5
     lord@regexps.com--2002/package-framework--devo--1.0--patch-3
     lord@regexps.com--2002/package-framework--devo--1.0--patch-4
     lord@regexps.com--2002/package-framework--lord--1.0--patch-6
     lord@regexps.com--2002/package-framework--lord--1.0--patch-7
     lord@regexps.com--2002/package-framework--lord--1.0--patch-8
     lord@regexps.com--2002/package-framework--devo--1.0--patch-5
     lord@regexps.com--2002/package-framework--lord--1.0--patch-9
     lord@regexps.com--2002/package-framework--lord--1.0--patch-10
     lord@regexps.com--2002/package-framework--lord--1.0--patch-11
     lord@regexps.com--2002/package-framework--lord--1.0--patch-12
     lord@regexps.com--2002/package-framework--lord--1.0--patch-13
     lord@regexps.com--2002/package-framework--devo--1.0--patch-6
     lord@regexps.com--2002/package-framework--devo--1.0--patch-7
     lord@regexps.com--2002/package-framework--devo--1.0--patch-8
     lord@regexps.com--2002/package-framework--devo--1.0--patch-9
     lord@regexps.com--2002/package-framework--lord--1.0--patch-14
     lord@regexps.com--2002/package-framework--lord--1.0--patch-15
     lord@regexps.com--2002/package-framework--lord--1.0--patch-16
     lord@regexps.com--2002/package-framework--lord--1.0--patch-17
     lord@regexps.com--2002/package-framework--lord--1.0--patch-18
     lord@regexps.com--2002/package-framework--devo--1.0--patch-10
     lord@regexps.com--2002/package-framework--lord--1.0--patch-19
     lord@regexps.com--2002/package-framework--lord--1.0--patch-20
     lord@regexps.com--2002/package-framework--devo--1.0--patch-11
     lord@regexps.com--2002/package-framework--lord--1.0--patch-21
     lord@regexps.com--2002/package-framework--devo--1.0--patch-12
     lord@regexps.com--2002/package-framework--lord--1.0--patch-22
     lord@regexps.com--2002/package-framework--devo--1.0--patch-13
     lord@regexps.com--2002/package-framework--devo--1.0--patch-14
     lord@regexps.com--2002/package-framework--lord--1.0--patch-23
     lord@regexps.com--2002/package-framework--lord--1.0--patch-24
     lord@regexps.com--2002/package-framework--lord--1.0--patch-25
     lord@regexps.com--2002/package-framework--devo--1.0--patch-15
     lord@regexps.com--2002/package-framework--lord--1.0--patch-26
     lord@regexps.com--2002/package-framework--lord--1.0--patch-27
     lord@regexps.com--2002/package-framework--lord--1.0--patch-28
     lord@regexps.com--2002/package-framework--lord--1.0--patch-29
     lord@regexps.com--2002/package-framework--lord--1.0--patch-30
     lord@regexps.com--2002/package-framework--lord--1.0--patch-31
     lord@regexps.com--2002/package-framework--lord--1.0--patch-32
     lord@regexps.com--2002/package-framework--lord--1.0--patch-33
     lord@regexps.com--2002/package-framework--lord--1.0--patch-34
     lord@regexps.com--2002/package-framework--lord--1.0--patch-35
     lord@regexps.com--2002/package-framework--lord--1.0--patch-36
     lord@regexps.com--2002/package-framework--lord--1.0--patch-37


